Unblock card
Unblocks a previously blocked corporate card by ID.
curl -X POST "https://api-sandbox.contasimples.com/credit-cards/v1/example_string/unblock" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api-sandbox.contasimples.com/credit-cards/v1/example_string/unblock"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api-sandbox.contasimples.com/credit-cards/v1/example_string/unblock", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api-sandbox.contasimples.com/credit-cards/v1/example_string/unblock", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api-sandbox.contasimples.com/credit-cards/v1/example_string/unblock')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
POST
/credit-cards/v1/{id}/unblockPOST
Bearer Token
Bearer Tokenstring
RequiredBearer token from OAuth 2.0 client credentials. Format: Bearer {token}
Bearer token from OAuth 2.0 client credentials. Format:
Bearer {token}path
idstring
RequiredUnique card identifier.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Bearer token from OAuth 2.0 client credentials. Format: Bearer {token}
Path Parameters
idstring
RequiredUnique card identifier.
Responses
Card unblocked successfully.
Invalid request. Check the card ID.
Unauthorized. Token missing, invalid, or expired.
Card not found.
Internal server error. Retry with exponential backoff.
Was this page helpful?
Last updated today
Built with Documentation.AI